@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@tailwind base;
@tailwind components;
@tailwind utilities;

#root {
  min-height: 100vh;
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-direction: column;
  overflow: hidden;
  @apply gap-8 md:gap-20
}

body {
  @apply text-black select-none
}

section {
  @apply px-4 md:px-40 flex flex-col gap-8
}

a {
  @apply font-medium
}

button {
  @apply bg-primary font-bold text-white px-7 py-3 rounded-full hover:bg-primaryLight drop-shadow-lg
}

button {
  @apply hover:bg-primaryLight
}

input {
  @apply bg-white rounded-full px-4 py-3 drop-shadow-lg
}

.secondary-button {
  @apply hover:text-primaryLight hover:fill-primaryLight
}

.secondary-button, button {
  @apply transition-all active:scale-95 select-none cursor-pointer
}

* {
  @apply font-display;
}

h1 {
    @apply text-primary text-4xl md:text-6xl font-bold 
}

::-webkit-scrollbar {
  width: 7px;
}
::-webkit-scrollbar-thumb {
  @apply bg-primaryLight;
}